<template lang="pug">
.x-relation-code-editor.position-relative(
  :class="{ selecting: isSelecting }")
  BaseModalLoader(:isLoading='isSelecting'
      @click.native.capture.prevent=''
      @pointerdown.native.capture.prevent='')
    span Waiting for selection...

  SVGSelector(ref="selector")
  div(ref="cm")
</template>
<script src='./RelationCodeEditor.vue.js' />
<style lang='scss'>
.x-relation-code-editor.selecting {
  cursor: wait!important;
}

.cm-completionIcon-selector {
  &:after {
    content: "\f05b";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
  }
}
</style>
